Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 173658 - Ebuild for "Beyond the Red Line" a Battlestar Galactica total-conversion
Summary: Ebuild for "Beyond the Red Line" a Battlestar Galactica total-conversion
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-04-07 12:55 UTC by Mike McQuaid
Modified: 2010-11-26 10:02 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
btrl-demo-1.0.ebuild (btrl-demo-1.0.ebuild,1.37 KB, text/plain)
2007-04-07 12:57 UTC, Mike McQuaid
Details
btrl-demo-1.0.ebuild (btrl-demo-1.0.ebuild,1.48 KB, text/plain)
2007-04-07 13:25 UTC, Mike McQuaid
Details
btrl-demo-1.0.ebuild (btrl-demo-1.0.ebuild,1.80 KB, text/plain)
2007-04-11 21:37 UTC, Mike McQuaid
Details
btrl-demo-1.ebuild (btrl-demo-1.ebuild,1.56 KB, text/plain)
2007-04-23 01:25 UTC, Paul Bredbury
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike McQuaid 2007-04-07 12:55:30 UTC
Blurb from website:
Beyond the Red Line is a stand-alone total conversion for the award-winning Freespace 2 released by Volition and Interplay for the PC. It is based on the popular new tv-show Battlestar Galactica. No, not the one from the 70s.

Reproducible: Always
Comment 1 Mike McQuaid 2007-04-07 12:57:46 UTC
Created attachment 115659 [details]
btrl-demo-1.0.ebuild

Known problems:
o Doesn't build from source (working with upstream)
o Use tar explicitly in unpack (see if you can see a way round this)
o Mirror isn't valid, needs torrented from http://www.game-warden.com/bsg/downloads.html, although we could try and provide a mirror.

As usual, please let me know what needs to be fixed to get this in the tree.
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2007-04-07 13:11:04 UTC
You need RESTRICT="fetch" for stuff that cannot be downloaded, not a fake SRC_URI. ;)

http://devmanual.gentoo.org/general-concepts/mirrors/index.html#restricting-automatic-mirroring
http://devmanual.gentoo.org/ebuild-writing/functions/pkg_nofetch/index.html
Comment 3 Mike McQuaid 2007-04-07 13:25:03 UTC
Created attachment 115661 [details]
btrl-demo-1.0.ebuild

Added fetch restriction.
Comment 4 Chris Gianelloni (RETIRED) gentoo-dev 2007-04-08 13:58:47 UTC
What does this require from the original game, if anything?
Comment 5 Mike McQuaid 2007-04-08 17:01:45 UTC
By original game do you mean Freespace 2?
It needs nothing from the original game. It uses all it's own textures/art and the engine is open source.
Comment 6 Chris Gianelloni (RETIRED) gentoo-dev 2007-04-09 18:56:52 UTC
Excellent.  So really, it isn't a "total conversion" so much as a "new game" that uses the open sourced Freespace 2 engine?  Very cool.
Comment 7 sieben.michael 2007-04-10 20:39:38 UTC
i needed to emerge openal in order for the game to run properly.
Comment 8 Mike McQuaid 2007-04-11 00:52:52 UTC
Good point. I'll fix the dependencies tomorrow.
Comment 9 Mike McQuaid 2007-04-11 21:37:13 UTC
Created attachment 115994 [details]
btrl-demo-1.0.ebuild

Fixed dependencies
Comment 10 Aniruddha 2007-04-22 06:47:01 UTC
I just saw the announcement on Happypinguin and already an ebuild that is fast! Thank a lot : D
Comment 11 Aniruddha 2007-04-22 15:20:44 UTC
In which category should I put the ebuild? games-strategy? or another category?
Comment 12 Mike McQuaid 2007-04-22 15:26:22 UTC
Shouldn't really matter. I did games-action iirc.
Comment 13 Aniruddha 2007-04-22 16:09:53 UTC
I have put the ebuild + sh files in in /usr/local/portage/games-action/btrl but I am having problems emerging btrl:

# emerge -av btrl

These are the packages that would be merged, in order:

Calculating dependencies /
emerge: there are no ebuilds to satisfy "btrl".


# emerge -av btrl-demo

These are the packages that would be merged, in order:

Calculating dependencies /
emerge: there are no ebuilds to satisfy "btrl-demo".

Comment 14 Mike McQuaid 2007-04-22 16:13:32 UTC
The ebuild name is the clue.
Needs to be in 
$PORTDIR_OVERLAY/games-action/btrl-demo/btrl-demo-1.0.ebuild

Then do emerge btrl-demo --digest
Comment 15 Aniruddha 2007-04-22 16:59:19 UTC
(In reply to comment #14)
> The ebuild name is the clue.
> Needs to be in 
> $PORTDIR_OVERLAY/games-action/btrl-demo/btrl-demo-1.0.ebuild
> 
> Then do emerge btrl-demo --digest
> 

Thanks! Works like a charm now :D
Comment 16 Paul Bredbury 2007-04-23 01:25:57 UTC
Created attachment 117030 [details]
btrl-demo-1.ebuild

Tidied, and added direct downloads.

Version is 1, not 1.0. The filename is unversioned (which is the worst possible "version", ho hum).
Comment 17 Mike McQuaid 2007-04-23 08:30:09 UTC
Good work Paul, marked my ebuild as obsolete.
Comment 18 Craig Andrews gentoo-dev 2008-08-21 22:48:00 UTC
Any news on this? It's been almost a year and half, and this game seems really cool... and all the work has been done as far as I can tell.
Comment 19 Mr. Bones. (RETIRED) gentoo-dev 2009-09-05 21:03:21 UTC
it's dead